import React from 'react';
import ReactDOM from 'react-dom/client';
import { Tooltip } from 'radix-ui';
import App from './App';
import { ThemeProvider } from './components/theme';
import './styles/global.css';

const rootEl = document.getElementById('root');
if (rootEl) {
  const root = ReactDOM.createRoot(rootEl);
  root.render(
    <React.StrictMode>
      <ThemeProvider>
        <Tooltip.Provider delayDuration={200}>
          <App />
        </Tooltip.Provider>
      </ThemeProvider>
    </React.StrictMode>,
  );
}
